# Based on initial spec generated by pyp2rpm-3.2.3

Name:           fedmod
Version:        0.0.9
Release:        1%{?dist}
Summary:        Utilities for generating & maintaining modulemd files

License:        MIT
URL:            https://pagure.io/modularity/fedmod
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-attrs
Requires:       python3-click
Requires:       python3-lxml
Requires:       python3-modulemd
Requires:       python3-requests
Requires:       python3-requests-toolbelt
Requires:       python3-setuptools
Requires:       python3-smartcols
Requires:       python3-solv

%description
fedmod provides tools for converting existing RPMs (most notably metapackages)
into module definitions in Fedora's modulemd format.

%prep
%autosetup -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
cd src
%py3_build

%install
cd src
%py3_install


%files
%doc
%{_bindir}/fedmod
%{python3_sitelib}/_fedmod
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info

%changelog
* Wed Dec 06 2017 Nick Coghlan <ncoghlan@gmail.com> 0.0.9-1
- Update version metadata for release 0.0.9 (ncoghlan@gmail.com)
- Issue #28: Remove dependency on DNF (ncoghlan@gmail.com)
- Add docs for 'resolve-deps --json' (ncoghlan@gmail.com)
- Add a basic 'resolve-deps --json' test case (ncoghlan@gmail.com)
- Keep function signature compatible (ncoghlan@gmail.com)
- Report lists to handle ambiguous deps (ncoghlan@gmail.com)
- resolve-deps: Add a --json flag to get full output in JSON form
  (otaylor@fishsoup.net)
- Separate metadata fetching to its own file (ncoghlan@gmail.com)
- README: Document srpm-of-rpm command (crobinso@redhat.com)
- cli: add rpms-from-srpm command (crobinso@redhat.com)
- depchase: Handle epoch packages in get_rpms_for_srpms (crobinso@redhat.com)
- depchase: Drop unnecessary archful lookup for get_rpms_for_srpms
  (crobinso@redhat.com)
- depchase: Fix get_rpms_for_srpms lookup mapping (crobinso@redhat.com)
- cli: print sorted output (crobinso@redhat.com)
- Issue #57: Cache metadata lookup tables (ncoghlan@gmail.com)
- Issue #34: Improve handling of duplicate components (ncoghlan@gmail.com)
- Issue #49: Migrate CLI processing to click (ncoghlan@gmail.com)

* Wed Nov 22 2017 Adam Samalik <asamalik@redhat.com> 0.0.8-1
- Update version metadata for release 0.0.8 (asamalik@redhat.com)
- add smartcols and solv dependencies to spec (asamalik@redhat.com)
- Issue #52: Handle missing metadata (ncoghlan@gmail.com)
- Add basic test file descriptions (ncoghlan@gmail.com)
- Clarify repoquery subcommand docs (ncoghlan@gmail.com)
- Tidy up whitespace in test file (ncoghlan@gmail.com)

* Fri Nov 10 2017 Adam Samalik <asamalik@redhat.com> 0.0.7-1
- Update version metadata for release 0.0.7 (asamalik@redhat.com)
- add srpm-of-rpm functionality (asamalik@redhat.com)

* Tue Nov 07 2017 Adam Samalik <asamalik@redhat.com> 0.0.6-1
- Update version metadata for release 0.0.6 (asamalik@redhat.com)
- workaround for https://pagure.io/pagure/issue/2751 (asamalik@redhat.com)
- add user docs (asamalik@redhat.com)
- add tests for module repoquery (asamalik@redhat.com)
- use forward lookup table for modules (asamalik@redhat.com)
- implement repoquery-like commands (asamalik@redhat.com)
- Remove dependency-reports-scripts cross-reference (ncoghlan@gmail.com)
- Fix COPR package name (ncoghlan@redhat.com)
- Add release publication docs (ncoghlan@gmail.com)

* Thu Nov 02 2017 Nick Coghlan <ncoghlan@gmail.com> 0.0.5-1
- Update version metadata for release 0.0.5 (ncoghlan@gmail.com)
- Put requirements before description (ncoghlan@gmail.com)

* Thu Nov 02 2017 Nick Coghlan <ncoghlan@gmail.com> 0.0.4-1
- new package built with tito

* Wed Nov 01 2017 mockbuilder - 0.0.2-1
- Initial package.
